# Add Ons Add Ons ## Gets all of the add ons in the system. - [GET /addOns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/listaddons.md): This method will scan all add ons and and return them to the caller. ## Creates a new add on record that does not already exist. - [POST /addOns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/createaddon.md): This method will auto-generate an ID and create a new add on. If an ID is specified for the add on, an error will be thrown. ## Execute Batch Operations - [POST /addOns/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## List all applicable add ons for a contact - [GET /addOns/{tenantId}/portal/getApplicable/{customerType}/{contactOrOrganizationId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/listapplicableaddons.md): List all applicable add ons for a contact ## Returns a add on from the system by its ID. - [DELETE /addOns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/deleteaddon.md): This method will delete a add on with the specified ID. ## Returns a add on from the system by its ID. - [GET /addOns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/getaddon.md): This method will look up a add on by the specified ID and return it back. ## Partially updates a add on with the specified ID. - [PATCH /addOns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/patchaddon.md): This method will patch an existing add on with the specified ID, using the HTTP PATCH specification. ## Updates a add on with the specified ID. - [PUT /addOns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/updateaddon.md): This method will update an existing add on with the specified ID.